﻿using System.ComponentModel;
using System.Windows.Forms;

namespace X_Aim.Controls
{
    public class BindableToolStripMenuItem : ToolStripMenuItem, IBindableComponent
    {
        private BindingContext _mBindingContext;

        private ControlBindingsCollection _mDataBindings;

        [Browsable(false)]
        public BindingContext BindingContext
        {
            get
            {
                if (_mBindingContext == null)
                {
                    _mBindingContext = new BindingContext();
                }

                return _mBindingContext;
            }
            set => _mBindingContext = value;
        }

        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        public ControlBindingsCollection DataBindings
        {
            get
            {
                if (_mDataBindings == null)
                {
                    _mDataBindings = new ControlBindingsCollection(this);
                }

                return _mDataBindings;
            }
        }
    }
}